<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <form name="editForm" role="form" novalidate v-on:submit.prevent="save()">
        <h2
          id="gatewayApp.manillaTokenDisp.home.createOrEditLabel"
          data-cy="TokenDispCreateUpdateHeading"
          v-text="$t('gatewayApp.manillaTokenDisp.home.createOrEditLabel')"
        >
          Create or edit a TokenDisp
        </h2>
        <div>
          <div class="form-group" v-if="tokenDisp.id">
            <label for="id" v-text="$t('global.field.id')">ID</label>
            <input type="text" class="form-control" id="id" name="id" v-model="tokenDisp.id" readonly />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.manillaTokenDisp.tokenConexion')" for="token-disp-tokenConexion"
              >Token Conexion</label
            >
            <input
              type="text"
              class="form-control"
              name="tokenConexion"
              id="token-disp-tokenConexion"
              data-cy="tokenConexion"
              :class="{ valid: !$v.tokenDisp.tokenConexion.$invalid, invalid: $v.tokenDisp.tokenConexion.$invalid }"
              v-model="$v.tokenDisp.tokenConexion.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.manillaTokenDisp.activo')" for="token-disp-activo">Activo</label>
            <input
              type="checkbox"
              class="form-check"
              name="activo"
              id="token-disp-activo"
              data-cy="activo"
              :class="{ valid: !$v.tokenDisp.activo.$invalid, invalid: $v.tokenDisp.activo.$invalid }"
              v-model="$v.tokenDisp.activo.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.manillaTokenDisp.fechaInicio')" for="token-disp-fechaInicio"
              >Fecha Inicio</label
            >
            <div class="d-flex">
              <input
                id="token-disp-fechaInicio"
                data-cy="fechaInicio"
                type="datetime-local"
                class="form-control"
                name="fechaInicio"
                :class="{ valid: !$v.tokenDisp.fechaInicio.$invalid, invalid: $v.tokenDisp.fechaInicio.$invalid }"
                :value="convertDateTimeFromServer($v.tokenDisp.fechaInicio.$model)"
                @change="updateInstantField('fechaInicio', $event)"
              />
            </div>
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.manillaTokenDisp.fechaFin')" for="token-disp-fechaFin"
              >Fecha Fin</label
            >
            <div class="d-flex">
              <input
                id="token-disp-fechaFin"
                data-cy="fechaFin"
                type="datetime-local"
                class="form-control"
                name="fechaFin"
                :class="{ valid: !$v.tokenDisp.fechaFin.$invalid, invalid: $v.tokenDisp.fechaFin.$invalid }"
                :value="convertDateTimeFromServer($v.tokenDisp.fechaFin.$model)"
                @change="updateZonedDateTimeField('fechaFin', $event)"
              />
            </div>
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.manillaTokenDisp.user')" for="token-disp-user">User</label>
            <select class="form-control" id="token-disp-user" data-cy="user" name="user" v-model="tokenDisp.user">
              <option v-bind:value="null"></option>
              <option
                v-bind:value="tokenDisp.user && userOption.id === tokenDisp.user.id ? tokenDisp.user : userOption"
                v-for="userOption in users"
                :key="userOption.id"
              >
                {{ userOption.login }}
              </option>
            </select>
          </div>
        </div>
        <div>
          <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" v-on:click="previousState()">
            <font-awesome-icon icon="ban"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.cancel')">Cancel</span>
          </button>
          <button
            type="submit"
            id="save-entity"
            data-cy="entityCreateSaveButton"
            :disabled="$v.tokenDisp.$invalid || isSaving"
            class="btn btn-primary"
          >
            <font-awesome-icon icon="save"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.save')">Save</span>
          </button>
        </div>
      </form>
    </div>
  </div>
</template>
<script lang="ts" src="./token-disp-update.component.ts"></script>
